Summary: Modern asynchronous API to the DNS
Name: getdns
Version: 0.1.6
Release: 1%{?dist}
License: BSD
Url: http://www.getdnsapi.net
Source: http://www.getdnsapi.net/dist/%{name}-%{version}.tar.gz
Group: System Environment/Libraries
BuildRequires: libidn-devel ldns-devel unbound-devel doxygen libevent-devel

%description
getdns is a modern asynchronous DNS API. It implements DNS entry points
from a design developed and vetted by application developers, in an API
specification edited by Paul Hoffman. With the development of this API,
we intend to offer application developers a modernized and flexible way
to access DNS security (DNSSEC) and other powerful new DNS features; a
particular hope is to inspire application developers towards innovative
security solutions in their applications.

%package devel
Summary: Development package that includes the header files
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The devel package contains the getdns library and the include files and
some example C code.

%prep
%setup -q 
# remove spurious execute bit
chmod 644 src/util-internal.h src/context.h src/extension/libmini_event.h \
          src/stub.c src/util-internal.c src/sync.c src/context.c \
          src/extension/libmini_event.c

%build
%configure --disable-rpath --disable-static --with-libevent \
  --with-trust-anchor=%{_sharedstatedir}/unbound/root.key 
make %{?_smp_mflags} 

%check
# make test needs a network connection - so disabled per default
#make test

%install
make DESTDIR=%{buildroot} INSTALL="%{__install} -p" install 

rm -rf %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_docdir}/%{name}

%files 
%{_libdir}/libgetdns*so.*
%doc README.md LICENSE NEWS AUTHORS ChangeLog

%files devel
%{_libdir}/libgetdns*.so
%{_includedir}/getdns/
%{_mandir}/*/*.[1358]*
%doc spec

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Mon Jan 19 2015 Paul Wouters <pwouters@redhat.com> - 0.1.6-1
- Updated to 0.1.6 with minor bugfixes
- Remove spurious execute bits from some *.[ch] files

* Fri Oct 31 2014 Paul Wouters <pwouters@redhat.com> - 0.1.5-1
- Updated to 0.1.5 with bugfixes and persistent TCP connections
- Example code moved into spec/

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jul 02 2014 Paul Wouters <pwouters@redhat.com> - 0.1.3-1
- Updated to 0.1.3

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Paul Wouters <pwouters@redhat.com> - 0.1.1-2
- Build with libevent support

* Wed Mar 26 2014 Paul Wouters <pwouters@redhat.com> - 0.1.1-1
- Updated to 0.1.1

* Fri Mar 21 2014 Paul Wouters <pwouters@redhat.com> - 0.1.0-2
- Remove cleaning in install
- Simplify files section and use macro instead of /var/lib

* Thu Feb 27 2014 Paul Wouters <pwouters@redhat.com> - 0.1.0-1
- Initial package
